summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/create-image.sh8
-rw-r--r--scripts/split-cfg.sh10
-rwxr-xr-xscripts/tarpkg5
3 files changed, 11 insertions, 12 deletions
diff --git a/scripts/create-image.sh b/scripts/create-image.sh
index 96a96ced8..ce3873792 100755
--- a/scripts/create-image.sh
+++ b/scripts/create-image.sh
@@ -72,8 +72,8 @@ else
fi
-printf "Generate qemu image\n"
-$qimg create -f raw $1 512M >/dev/null
+printf "Generate qemu image (2 GB)\n"
+$qimg create -f raw $1 2048M >/dev/null
printf "Creating filesystem $filesystem\n"
@@ -120,14 +120,12 @@ else
cp $2-initramfs $tmp/boot/initramfs
fi
-printf "Creating device nodes\n"
+#printf "Creating device nodes\n"
mknod -m 666 $tmp/dev/zero c 1 5
mknod -m 666 $tmp/dev/null c 1 3
mknod -m 622 $tmp/dev/console c 5 1
mknod -m 666 $tmp/dev/tty c 5 0
mknod -m 666 $tmp/dev/tty0 c 4 0
-#mknod -m 660 $tmp/dev/hda b 3 0
-#mknod -m 660 $tmp/dev/hda1 b 3 1
mknod -m 666 $tmp/dev/ttyS0 c 4 64
umount $tmp
diff --git a/scripts/split-cfg.sh b/scripts/split-cfg.sh
index 07cdd5838..297d42beb 100644
--- a/scripts/split-cfg.sh
+++ b/scripts/split-cfg.sh
@@ -4,13 +4,15 @@
# ses the slow-down.
TOPDIR=$1
+TARGET=$2
+LIBC=$3
(( x_cols = (COLUMNS > 10) ? COLUMNS - 2 : 80 ))
typeset -L$x_cols pbar
grep -v '^BUSYBOX\|^# BUSYBOX' $TOPDIR/.config > $TOPDIR/.config.split
-mkdir -p $TOPDIR/.cfg
-cd $TOPDIR/.cfg
+mkdir -p $TOPDIR/.cfg_${TARGET}_${LIBC}
+cd $TOPDIR/.cfg_${TARGET}_${LIBC}
oldfiles=$(print -r -- *)
newfiles=:
@@ -66,7 +68,7 @@ print -nu2 '\r'
# and the entire Config.in will be auto-generated anyway,
# so we're better off placing it here
#XXX this is too slow @868 configure options
-cd $TOPDIR/.cfg
+cd $TOPDIR/.cfg_${TARGET}_${LIBC}
rm -f $TOPDIR/package/*/info.mk
for option in *; do
pbar="$option ..."
@@ -78,7 +80,7 @@ for option in *; do
done | while read fname; do
[[ $ao = *:$fname:* ]] && continue
ao=$ao$fname:
- echo "\${_IPKGS_COOKIE}: \${TOPDIR}/.cfg/$option" >>$fname
+ echo "\${_IPKGS_COOKIE}: \${TOPDIR}/.cfg_${TARGET}_${LIBC}/$option" >>$fname
done
done
pbar=done
diff --git a/scripts/tarpkg b/scripts/tarpkg
index bbb242a5e..37c0b2079 100755
--- a/scripts/tarpkg
+++ b/scripts/tarpkg
@@ -10,10 +10,9 @@ if [ "$1" = "build" ];then
pkgname=$(grep "^Package:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
version=$(grep "^Version:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
arch=$(grep "^Architecture:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
- mkdir -p ${2}/usr/lib/pkg
for file in preinst postinst prerm postrm; do
- [ ! -f $2/CONTROL/$file ] || ( cp $2/CONTROL/$file \
- ${2}/usr/lib/pkg/${pkgname}.$file && \
+ [ ! -f $2/CONTROL/$file ] || ( mkdir -p ${2}/usr/lib/pkg && \
+ cp $2/CONTROL/$file ${2}/usr/lib/pkg/${pkgname}.$file && \
chmod +x ${2}/usr/lib/pkg/${pkgname}.$file )
done
rm -rf $2/CONTROL